Viewing 8 posts - 1 through 8 (of 8 total)
  • Author
    Posts
  • taus Friend
    #195935

    Hello,

    In Ja_appolio Details and Files, Template Manager-Customise Template.
    Editing file “/less/forms.less” when I save the file and trying to ‘Compile LESS’ I get the following error:

    “parse error: failed at `.input-size(@input-height-small; @padding-small-vertical; @padding-small-horizontal; @font-size-small; @Line-height-small; @border-radius-small); ` /opt/bitnami/apps/directories/htdocs/templates/ja_appolio//less/forms.less on line 283

    An error occurred. Failed to compile.”

    I don’t know and I cannot find what is causing the error.

    Hope someone could help me out!

    Thanks!

    Pankaj Sharma Moderator
    #527370

    Please PM admin details. i will have a closer look.

    Pankaj Sharma Moderator
    #527405

    I just checked your site. I have not seen any error in the less to css compilation . Its working Fine.
    See this >

    Saguaros Moderator
    #527419

    @taus,

    There maybe problem with LESS file and the compile progress will be stopped. You should check what you have just done and try to revert it.

    Also, I would recommend you update T3 to the latest version and try again.

    taus Friend
    #527473

    Hi @pankajsharma21 & @saguaros,

    Thank you for the replies and for checking the site.

    The error doesn’t appear when trying to complie less to css in Template Manager-Edit Style.

    It appears on the Template Manager-Customise Template, in Ja_appolio Details and Files.

    See attached,

    I have reverted back to the original file and updated T3 to the latest version but the error still exists.

    The error appears with some other files as well but not all of them.
    I am able to compile LESS to css lets say “navbar.less”, “components.less”, or “variables.less” but not some other files. (bootstrap.less, styles.less, etc.)

    Can it be a permission error? I checked some files but I don’t know if they were the correct ones.


    1. parse-error
    Saguaros Moderator
    #527581

    @taus: From your screenshot, it seems that you use default compiler of Joomla, please go to Backend > Template manager > Select your customised template style and click </>LESS to CSS button: http://prntscr.com/32pn7a

    taus Friend
    #527759

    @saguaros

    Hi Saguaros,

    Yes, you are right.
    I get the error when I try to edit the LESS file from the default compiler of Joomla.
    If I compile </>LESS to CSS ,from the customized template style, everything goes fine.

    Does it mean that compiling from the default compiler of joomla doesn’t work in this case?

    If that is the case, and nothing is wrong with my installation or files, then it means that I have nothing to worry about.

    Thank you for the support!!!

    Saguaros Moderator
    #527766

    Yes, there is nothing wrong with your installation. Next time, when you compile Less to Css in our JA template, please go to template manager and use T3 compiler.

Viewing 8 posts - 1 through 8 (of 8 total)

This topic contains 8 replies, has 3 voices, and was last updated by  Saguaros 10 years, 4 months ago.

We moved to new unified forum. Please post all new support queries in our New Forum